
package SHARK2.keymon.com.mx;

import java.io.IOException;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RDebug;
import anywheresoftware.b4a.pc.RemoteObject;
import anywheresoftware.b4a.pc.RDebug.IRemote;
import anywheresoftware.b4a.pc.Debug;
import anywheresoftware.b4a.pc.B4XTypes.B4XClass;
import anywheresoftware.b4a.pc.B4XTypes.DeviceClass;

public class mapa_cliente implements IRemote{
	public static mapa_cliente mostCurrent;
	public static RemoteObject processBA;
    public static boolean processGlobalsRun;
    public static RemoteObject myClass;
    public static RemoteObject remoteMe;
	public mapa_cliente() {
		mostCurrent = this;
	}
    public RemoteObject getRemoteMe() {
        return remoteMe;    
    }
    
	public static void main (String[] args) throws Exception {
		new RDebug(args[0], Integer.parseInt(args[1]), Integer.parseInt(args[2]), args[3]);
		RDebug.INSTANCE.waitForTask();

	}
    static {
        anywheresoftware.b4a.pc.RapidSub.moduleToObject.put(new B4XClass("mapa_cliente"), "SHARK2.keymon.com.mx.mapa_cliente");
	}

public boolean isSingleton() {
		return true;
	}
     public static RemoteObject getObject() {
		return myClass;
	 }

	public RemoteObject activityBA;
	public RemoteObject _activity;
    private PCBA pcBA;

	public PCBA create(Object[] args) throws ClassNotFoundException{
		processBA = (RemoteObject) args[1];
		activityBA = (RemoteObject) args[2];
		_activity = (RemoteObject) args[3];
        anywheresoftware.b4a.keywords.Common.Density = (Float)args[4];
        remoteMe = (RemoteObject) args[5];
		pcBA = new PCBA(this, mapa_cliente.class);
        main_subs_0.initializeProcessGlobals();
		return pcBA;
	}
public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _gps = RemoteObject.declareNull("anywheresoftware.b4a.gps.GPS");
public static RemoteObject _rp = RemoteObject.declareNull("anywheresoftware.b4a.objects.RuntimePermissions");
public static RemoteObject _ruta = RemoteObject.createImmutable("");
public static RemoteObject _skmt = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL");
public static RemoteObject _gmap = RemoteObject.declareNull("anywheresoftware.b4a.objects.MapFragmentWrapper.GoogleMapWrapper");
public static RemoteObject _mapfragment1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.MapFragmentWrapper");
public static RemoteObject _latitud = RemoteObject.createImmutable(0);
public static RemoteObject _longitud = RemoteObject.createImmutable(0);
public static RemoteObject _lat2 = RemoteObject.createImmutable(0);
public static RemoteObject _lon2 = RemoteObject.createImmutable(0);
public static RemoteObject _p1 = RemoteObject.declareNull("anywheresoftware.b4a.gps.LocationWrapper");
public static RemoteObject _p2 = RemoteObject.declareNull("anywheresoftware.b4a.gps.LocationWrapper");
public static RemoteObject _distance = RemoteObject.createImmutable(0f);
public static RemoteObject _boton1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _c = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL.CursorWrapper");
public static RemoteObject _latmarker = RemoteObject.createImmutable("");
public static RemoteObject _longmarker = RemoteObject.createImmutable("");
public static RemoteObject _l_long = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _l_lat = RemoteObject.declareNull("anywheresoftware.b4a.objects.LabelWrapper");
public static RemoteObject _nombre_tienda = RemoteObject.createImmutable("");
public static RemoteObject _p_principal = RemoteObject.declareNull("anywheresoftware.b4a.objects.PanelWrapper");
public static RemoteObject _b_regresar = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static SHARK2.keymon.com.mx.main _main = null;
public static SHARK2.keymon.com.mx.appupdater _appupdater = null;
public static SHARK2.keymon.com.mx.mapa_rutas _mapa_rutas = null;
public static SHARK2.keymon.com.mx.notificationservice _notificationservice = null;
public static SHARK2.keymon.com.mx.pendientes _pendientes = null;
public static SHARK2.keymon.com.mx.starter _starter = null;
public static SHARK2.keymon.com.mx.subs _subs = null;
public static SHARK2.keymon.com.mx.tracker _tracker = null;
public static SHARK2.keymon.com.mx.newinst2 _newinst2 = null;
public static SHARK2.keymon.com.mx.b4xpages _b4xpages = null;
public static SHARK2.keymon.com.mx.b4xcollections _b4xcollections = null;
public static SHARK2.keymon.com.mx.httputils2service _httputils2service = null;
public static SHARK2.keymon.com.mx.xuiviewsutils _xuiviewsutils = null;
  public Object[] GetGlobals() {
		return new Object[] {"Activity",mapa_cliente.mostCurrent._activity,"appUpdater",Debug.moduleToString(SHARK2.keymon.com.mx.appupdater.class),"b_regresar",mapa_cliente.mostCurrent._b_regresar,"B4XCollections",Debug.moduleToString(SHARK2.keymon.com.mx.b4xcollections.class),"B4XPages",Debug.moduleToString(SHARK2.keymon.com.mx.b4xpages.class),"boton1",mapa_cliente.mostCurrent._boton1,"c",mapa_cliente.mostCurrent._c,"DateUtils",mapa_cliente.mostCurrent._dateutils,"Distance",mapa_cliente._distance,"gmap",mapa_cliente.mostCurrent._gmap,"GPS",mapa_cliente._gps,"HttpUtils2Service",Debug.moduleToString(SHARK2.keymon.com.mx.httputils2service.class),"l_lat",mapa_cliente.mostCurrent._l_lat,"l_long",mapa_cliente.mostCurrent._l_long,"Lat2",mapa_cliente._lat2,"Latitud",mapa_cliente._latitud,"latmarker",mapa_cliente.mostCurrent._latmarker,"Lon2",mapa_cliente._lon2,"Longitud",mapa_cliente._longitud,"longmarker",mapa_cliente.mostCurrent._longmarker,"Main",Debug.moduleToString(SHARK2.keymon.com.mx.main.class),"MAPA_RUTAS",Debug.moduleToString(SHARK2.keymon.com.mx.mapa_rutas.class),"MapFragment1",mapa_cliente.mostCurrent._mapfragment1,"newinst2",Debug.moduleToString(SHARK2.keymon.com.mx.newinst2.class),"NOMBRE_TIENDA",mapa_cliente.mostCurrent._nombre_tienda,"NotificationService",Debug.moduleToString(SHARK2.keymon.com.mx.notificationservice.class),"p_principal",mapa_cliente.mostCurrent._p_principal,"p1",mapa_cliente.mostCurrent._p1,"p2",mapa_cliente.mostCurrent._p2,"Pendientes",Debug.moduleToString(SHARK2.keymon.com.mx.pendientes.class),"rp",mapa_cliente._rp,"ruta",mapa_cliente._ruta,"skmt",mapa_cliente._skmt,"Starter",Debug.moduleToString(SHARK2.keymon.com.mx.starter.class),"Subs",Debug.moduleToString(SHARK2.keymon.com.mx.subs.class),"Tracker",Debug.moduleToString(SHARK2.keymon.com.mx.tracker.class),"XUIViewsUtils",Debug.moduleToString(SHARK2.keymon.com.mx.xuiviewsutils.class)};
}
}